/*
 * MandelView.h, Jan. 1992
 * by R. Pajarola
 * E-mail: rpajarol@iiic.ethz.ch
 */

#import <appkit/View.h>

@interface MandelView:View
{
    id		scale;
    id		x_min;
    id		y_min;
    id		depth;
	id		pixels_x;
	id		pixels_y;
}

- initFrame:(NXRect *)rect;
- run:sender;
- mouseDown:(NXEvent *)theEvent;
- setParameters:(float)x :(float)y :(float)s;
- getParameters:(double *)x :(double *)y :(double *)s;
- setlastParameters:sender;
- drawSelf:(const NXRect *)rects :(int)rectCount;
- (int)getValues:(unsigned char **)data :(int *)width :(int *)height
	:(int *)bps :(int *)spp :(BOOL *)alpha :(BOOL *)config
	:(NXColorSpace *)space;

@end
